## qt4-x11 4.8.6+git64-g5dc8b2b+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu8) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jul 2015 21:12:40 +0200

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu7) wily; urgency=medium

  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Jun 2015 09:34:49 -0400

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu6) vivid; urgency=medium

  * Fix detection of GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2015 12:10:22 +0100

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu5) vivid; urgency=medium

  * Add kubuntu_qclipboard_delay.diff to fix KDE dialogs in LibreOffice
  * Add kubuntu_qclipboard_fix_recursive.diff to fix crash in clipboard
    in LibreOffice with Qt style

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 22 Nov 2014 15:39:41 +0100

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu4) vivid; urgency=medium

  * kubuntu_43_no_meego_helper.patch: Patch in one more location.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 04 Nov 2014 21:29:04 +0300

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu3) vivid; urgency=medium

  * kubuntu_43_no_meego_helper.patch: Don’t build QtMeegoGraphicsSystemHelper,
    useless on non-MeeGo systems.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 04 Nov 2014 17:37:26 +0300

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu2) vivid; urgency=medium

  * Drop the hacks to build QtWebKit for Assistant, as we now have Assistant
    from Qt 5.x properly built against QtWebKit 5.x.
  * Drop kubuntu_31_unity_workarea_atom.diff, it was needed only for Unity 2D.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 02 Nov 2014 14:56:51 +0300

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3~ubuntu1) vivid; urgency=medium

  * Merge with Debian git, remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude bin/assistant from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Oct 2014 16:20:32 +0100

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-3) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove aarch64_arm64_mkspecs.patch, as it's not really needed. Simply use
    platform_arg = linux-g++ for it.
  * Add two more files to override_dh_auto_clean.
  * Remove GStreamer 0.1's build dependencies. The real users of it
    should be using phonon with GStreamer 1.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Sep 2014 19:50:03 -0300

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove debian/NEWS, it's no longer accurate.
  * Update symbols files with buildds' logs.

  [ Adam Majer ]
  * Add xmlpatterns_stack_overflow_fix.diff which changes a recursive call
    into iteration fixing stack overflow in XmlPatterns.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 04 Sep 2014 16:25:52 -0300

qt4-x11 (4:4.8.6+git64-g5dc8b2b+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * Disable the use of system proxies by default. It seems that if http_proxy
    is setted then all protocols try to use the proxy.
  * Add support for arm64 (Closes: #735488).
    - Make arm64 use linux-g++ as platform_arg.
    - Fix arch detection.
    - Add qatomic support. This patch is known to not be the most correct way
      to implement them, as it seems to be possible to do it in a faster way,
      but should work non the less until we can provide something better.
    - Add arm64's mkspecs.
  * Add support for ppc64el (Closes: #749743).
    - Add ppc64el to 07_trust_dpkg-arch_over_uname-m.diff, as the uname output

