=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,6 @@
 export PATH := $(QTDIR)/bin:$(PATH)
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-# Use -gstabs instaed of -g on armel and armhf to make the link step complete
-# within buildd limitations
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
-export CFLAGS := $(CFLAGS:-g=-gstabs)
-export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
-endif
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-export CXXFLAGS := -fpermissive $(CXXFLAGS)
-endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
 export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
@@ -249,3 +240,12 @@
 	  -o -type l \
 	\) -print0 | xargs -0 rm -rfv
 
+	# Delete all Makefiles, excluding some from src/3rdparty
+	find $(CURDIR) -name Makefile \
+	  ! -path $(CURDIR)/src/3rdparty/Makefile \
+	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
+	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
+	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
+	-print0 | xargs -0 rm -rfv
+
+	# Any remaining executables
